package org.firstinspires.ftc.teamcode;

public class GameMotors {
    public final API.Motor fl, fr, bl, br, shoulder1, shoulder2, carousel;
    public final API.Servo hand, elbow;

    public GameMotors(API api) {
        fl = api.new Motor(GameMotor.FL.name);
        fr = api.new Motor(GameMotor.FR.name);
        bl = api.new Motor(GameMotor.BL.name);
        br = api.new Motor(GameMotor.BR.name);

        carousel = api.new Motor(GameMotor.CAROUSEL.name);

        shoulder1 = api.new Motor(GameMotor.SHOULDER1.name);
        shoulder2 = api.new Motor(GameMotor.SHOULDER2.name);
        elbow = api.new Servo(GameMotor.ELBOW.name);

        hand = api.new Servo(GameMotor.HAND.name);
    }
}
